# Uses of Interface
org.eclipse.gef.ui.palette.PaletteViewerPreferences

Packages that use PaletteViewerPreferences
Package
Description
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.palette.customize

## Uses of PaletteViewerPreferences in org.eclipse.gef.ui.palette

Classes in org.eclipse.gef.ui.palette that implement PaletteViewerPreferences
Modifier and Type
Class
Description
`class`
`DefaultPaletteViewerPreferences`
This is the default implementation for PaletteViewerPreferences.
Methods in org.eclipse.gef.ui.palette that return PaletteViewerPreferences
Modifier and Type
Method
Description
`PaletteViewerPreferences`
PaletteViewer.`getPaletteViewerPreferences()`
Methods in org.eclipse.gef.ui.palette with parameters of type PaletteViewerPreferences
Modifier and Type
Method
Description
`void`
PaletteViewer.`setPaletteViewerPreferences(PaletteViewerPreferences prefs)`
This palette will use the given PaletteViewerPreferences to store all its preferences.
Constructors in org.eclipse.gef.ui.palette with parameters of type PaletteViewerPreferences
Modifier
Constructor
Description
``
`ChangeIconSizeAction(PaletteViewerPreferences prefs)`
Constructor
``
`LayoutAction(PaletteViewerPreferences prefs)`
Constructor
``
`LayoutAction(PaletteViewerPreferences prefs, boolean hasIcon)`
Constructor

## Uses of PaletteViewerPreferences in org.eclipse.gef.ui.palette.customize

Constructors in org.eclipse.gef.ui.palette.customize with parameters of type PaletteViewerPreferences
Modifier
Constructor
Description
``
`PaletteSettingsDialog(Shell parentShell, PaletteViewerPreferences prefs)`
Constructor